Bug 279041 - yumdownloader can not find source
Summary: yumdownloader can not find source
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-05 18:52 UTC by Bill C. Riemers
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version: yum-3.2.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-06 13:15:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Archive of /etc/yum.repos.d (3.19 KB, application/x-bzip2)
2007-09-06 12:19 UTC, Bill C. Riemers
no flags Details

Description Bill C. Riemers 2007-09-05 18:52:01 UTC
Description of problem:

When I attempt to use yumdownloader, I can not download the source for wine.


Version-Release number of selected component (if applicable):

yum-utils-1.1.6-1.fc7

How reproducible:

always 

Steps to Reproduce:
1. yumdownloader --source wine
2.
3.
  
Actual results:

# yumdownloader --source wineEnabling fedora-source repository
Enabling updates-source repository
No source RPM found for wine - 0.9.36-2.fc7.i386
No source RPM found for wine - 0.9.43-2.fc7.i386
No source RPM found for wine - 0.9.36-2.fc7.i386
No source RPM found for wine - 0.9.43-2.fc7.i386
Nothing to download


Expected results:

Should download the same file as:

wget
http://download.fedora.redhat.com/pub/fedora/linux/updates/7/SRPMS/wine-0.9.43-2.fc7.src.rpm

Comment 1 Seth Vidal 2007-09-05 19:00:10 UTC
ver of yum?



Comment 2 Bill C. Riemers 2007-09-05 19:29:28 UTC
$ rpm -qa |grep ^yum
yum-metadata-parser-1.1.0-2.fc7
yum-updatesd-3.2.2-1.fc7
yum-3.2.2-1.fc7
yum-utils-1.1.6-1.fc7




Comment 3 Seth Vidal 2007-09-05 20:29:52 UTC
yum update yum

and then try it again - I'm pretty sure this is fixed in 3.2.4 which is out in
updates-released as of yesterday.


Comment 4 Bill C. Riemers 2007-09-05 20:53:13 UTC
It looks like yum doesn't find the new version of yum.  Perhaps, the mirrors
haven't picked up the change yet?  I manually installed the new version of yum,
but yumdownloader still does not download the wine source.

$ sudo yum update yum
Setting up Update Process
fedora                    100% |=========================| 2.1 kB    00:00     
updates                   100% |=========================| 1.9 kB    00:02     
primary.sqlite.bz2        100% |=========================| 257 kB    00:01     
freshrpms                 100% |=========================| 1.9 kB    00:00     
Could not find update match for yum
No Packages marked for Update/Obsoletion
$ sudo rpm -Uvh
http://download.fedora.redhat.com/pub/fedora/linux/updates/7/x86_64/yum-3.2.4-2.fc7.noarch.rpm
http://download.fedora.redhat.com/pub/fedora/linux/updates/7/x86_64/yum-updatesd-3.2.4-2.fc7.noarch.rpm
Retrieving
http://download.fedora.redhat.com/pub/fedora/linux/updates/7/x86_64/yum-3.2.4-2.fc7.noarch.rpm
Retrieving
http://download.fedora.redhat.com/pub/fedora/linux/updates/7/x86_64/yum-updatesd-3.2.4-2.fc7.noarch.rpm
Preparing...                ########################################### [100%]
   1:yum                    ########################################### [ 50%]
   2:yum-updatesd           ########################################### [100%]
$ yumdownloader --source winefedora                    100%
|=========================| 2.1 kB    00:00     primary.sqlite.bz2        100%
|=========================| 4.7 MB    02:26     
updates                   100% |=========================| 1.9 kB    00:00     
primary.sqlite.bz2        100% |=========================| 1.8 MB    01:07     
freshrpms                 100% |=========================| 1.9 kB    00:00     
primary.sqlite.bz2        100% |=========================|  90 kB    00:00     
Enabling fedora-source repository
fedora-source             100% |=========================| 2.1 kB    00:00     
primary.sqlite.bz2        100% |=========================| 4.7 MB    00:49     
Enabling updates-source repository
updates-source            100% |=========================| 1.9 kB    00:00     
primary.sqlite.bz2        100% |=========================| 1.8 MB    00:36     
No source RPM found for wine - 0.9.36-2.fc7.i386
No source RPM found for wine - 0.9.43-2.fc7.i386
No source RPM found for wine - 0.9.36-2.fc7.i386
No source RPM found for wine - 0.9.43-2.fc7.i386
Nothing to download


Comment 5 Bill C. Riemers 2007-09-05 20:55:02 UTC
btw.  I am not sure why but when I cut and pasted the above it dropped a line
wrap.  The command I used was "yum downloader --source wine".


Comment 6 Bill C. Riemers 2007-09-05 22:39:22 UTC
Interesting enough, if I enable updates-testing, I can download the testing
version of wine source:

# yumdownloader --source wine
Enabling updates-testing-source repository
updates-testing-source    100% |=========================| 1.9 kB    00:00     
primary.sqlite.bz2        100% |=========================|  56 kB    00:00     
Enabling fedora-source repository
Enabling updates-source repository
No source RPM found for wine - 0.9.36-2.fc7.i386
No source RPM found for wine - 0.9.43-2.fc7.i386
No source RPM found for wine - 0.9.43-2.fc7.i386
No source RPM found for wine - 0.9.36-2.fc7.i386
wine-0.9.44-1.fc7.src.rpm 100% |=========================|  12 MB    00:42     

The same thing happens if I try to download yum source.



Comment 7 Seth Vidal 2007-09-06 05:00:28 UTC
okay - could you post the repository config for the fedora-source repository b/c
something is rotten in denmark.



Comment 8 Tim Lauridsen 2007-09-06 06:12:26 UTC
please post the the output of 'yum repolist' & the output 'yumdownloader -d9
--source wine'.
Try run as both root & non root

Comment 9 Bill C. Riemers 2007-09-06 12:17:17 UTC
[docbill@hartnell ~]$ yum repolist
repo id              repo name                                 status
fedora               Fedora 7 - x86_64                         enabled
freshrpms            Fedora Core 7 - x86_64 - Freshrpms        enabled
updates              Fedora 7 - x86_64 - Updates               enabled
[docbill@hartnell ~]$ yumdownloader -d9 --source wine
Reading Local RPMDB
Setting up Package Sacks
fedora                    100% |=========================| 2.1 kB    00:00     
updates                   100% |=========================| 1.9 kB    00:00     
freshrpms                 100% |=========================| 1.9 kB    00:00     
skipping reposetup, pkgsack exists
Enabling fedora-source repository
Setting up Package Sacks
fedora-source             100% |=========================| 2.1 kB    00:00     
Enabling updates-source repository
Setting up Package Sacks
updates-source            100% |=========================| 1.9 kB    00:00     
primary.sqlite.bz2        100% |=========================| 731 kB    00:02     
skipping reposetup, pkgsack exists
skipping reposetup, pkgsack exists
No source RPM found for wine - 0.9.36-2.fc7.i386
skipping reposetup, pkgsack exists
No source RPM found for wine - 0.9.36-2.fc7.i386
skipping reposetup, pkgsack exists
No source RPM found for wine - 0.9.39-1.fc7.i386
skipping reposetup, pkgsack exists
No source RPM found for wine - 0.9.43-2.fc7.i386
Nothing to download
[docbill@hartnell ~]$ sudo yum repolistPassword:
fedora                    100% |=========================| 2.1 kB    00:00     
updates                   100% |=========================| 1.9 kB    00:00     
primary.sqlite.bz2        100% |=========================| 1.7 MB    00:06     
freshrpms                 100% |=========================| 1.9 kB    00:00     
repo id              repo name                                 status
fedora               Fedora 7 - x86_64                         enabled
freshrpms            Fedora Core 7 - x86_64 - Freshrpms        enabled
updates              Fedora 7 - x86_64 - Updates               enabled
[docbill@hartnell ~]$ sudo yumdownloader -d9 --source wine
Reading Local RPMDB
Setting up Package Sacks
skipping reposetup, pkgsack exists
Enabling fedora-source repository
Setting up Package Sacks
fedora-source             100% |=========================| 2.1 kB    00:00     
primary.sqlite.bz2        100% |=========================| 4.7 MB    00:16     
Enabling updates-source repository
Setting up Package Sacks
updates-source            100% |=========================| 1.9 kB    00:00     
skipping reposetup, pkgsack exists
skipping reposetup, pkgsack exists
No source RPM found for wine - 0.9.36-2.fc7.i386
skipping reposetup, pkgsack exists
No source RPM found for wine - 0.9.43-2.fc7.i386
skipping reposetup, pkgsack exists
No source RPM found for wine - 0.9.36-2.fc7.i386
skipping reposetup, pkgsack exists
No source RPM found for wine - 0.9.43-2.fc7.i386
Nothing to download


Comment 10 Bill C. Riemers 2007-09-06 12:19:32 UTC
Created attachment 188701 [details]
Archive of /etc/yum.repos.d

[docbill@hartnell ~]$ tar cfj /tmp/yum.repos.d.tar.bz2 /etc/yum.repos.d/

Comment 11 Seth Vidal 2007-09-06 13:15:40 UTC
okay, found the problem. You've defined your own local mirrorlist for fedora-source

and you have it as the same mirrorlist as for fedora - which means it points to
the binary rpms, not the srpms.


[fedora-source]
name=Fedora $releasever - Source
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/$releasever/Everything/source/SRPMS/
#mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-source-$releasever&arch=$basearch
mirrorlist = file:///etc/yum.repos.d/mirrors-fedora  <---- right here
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
file:///etc/pki/rpm-gpg/RPM-GPG-KEY


then you look at mirrors-fedora and you see:
# repo = fedora-7 arch = x86_64 country = global 
ftp://ftp.tvnet.hu/pub/fedora/linux/releases/7/Everything/x86_64/os
http://ftp.linux.ncsu.edu/pub/fedora/linux/releases/7/Everything/x86_64/os
http://distro.ibiblio.org/pub/linux/distributions/fedora/linux/releases/7/Everything/x86_64/os
http://limestone.uoregon.edu/ftp/fedora/linux/releases/7/Everything/x86_64/os
http://ftp.chg.ru/pub/Linux/fedora/linux/releases/7/Everything/x86_64/os

note the arch.

fix that and this is corrected.

closing this notabug.

Comment 12 Bill C. Riemers 2007-09-06 13:57:48 UTC
Thanks,  I must have made that change one day when the mirrors.fedoraproject.org
was down and forgotten to change it back.

I am sorry for wasting your time, I should have found this problem myself.




Note You need to log in before you can comment on or make changes to this bug.